Support Volgende » Algemene WordPress vragen Volgende » teksteditor en tekst in backend niet zichtbaar

  • Beste,
    Op de site zelf staat de inhoud van de pagina online, in de backend krijg ik enkel een wit scherm zonder de inhoud erin en ook de teksteditor is niet zichtbaar.
    Heb al volgende gedaan:
    Alle plugins uitgezet
    teksteditor verwijderd
    Teksteditor vervangen door een andere

    De site zelf werkt maar ik kan niks aan de pagina’s wijzigen, kan ook geen nieuwe aanmaken

    • Dit onderwerp is gewijzigd 2 weken geleden door  atelieri.

    De pagina waar ik hulp bij nodig heb: [log in om de link te zien]

10 reacties aan het bekijken - 1 tot 10 (van in totaal 10)
  • Moderator Jeroen Rotty

    (@jeroenrotty)

    Hallo @atelieri,

    Ik vermoed dat er iets niet compatibel is met PHP 7.2.8 die draait op je webhost. Zie je foutmeldingen in je console van de browser? Logbestanden van de host al bekeken?

    Als eens een standaard WordPress thema geactiveerd?

    Groet,
    Jeroen

    Best Jeroen,

    Ik krijg deze fouten:

    load-scripts.php?c=0&load[]=jquery-core,jquery-migrate,utils,moxiejs,plupload&ver=4.9.7:9 JQMIGRATE: Migrate is installed, version 1.4.1
    post.php?post=12&action=edit:135 Uncaught SyntaxError: Unexpected identifier
    crp-tc-buttons.js?wp-mce-4711-20180425:4 Uncaught ReferenceError: crp_shortcodes is not defined
    at new <anonymous> (crp-tc-buttons.js?wp-mce-4711-20180425:4)
    at bC (tinymce.min.js?ver=4711-20180425:2)
    at Array.<anonymous> (tinymce.min.js?ver=4711-20180425:2)
    at Object.At [as each] (tinymce.min.js?ver=4711-20180425:2)
    at EC (tinymce.min.js?ver=4711-20180425:2)
    at YC.<anonymous> (tinymce.min.js?ver=4711-20180425:2)
    at Array.<anonymous> (tinymce.min.js?ver=4711-20180425:2)
    at At (tinymce.min.js?ver=4711-20180425:2)
    at s (tinymce.min.js?ver=4711-20180425:2)
    at n (tinymce.min.js?ver=4711-20180425:2)

    Een standaard Worpress thema is geen oplossing, reeds getest.

    Mvg
    Matthias

    Moderator Jeroen Rotty

    (@jeroenrotty)

    Als ik een zoekopdracht doe op `crp_shortcodes’ dan kom ik op een plugin genaamd Contextual Related Posts uit (zie link https://wordpress.org/plugins/contextual-related-posts/

    Heb je die nog actief staan? Ik zie dat die plugin al een tijdje niet meer werd bijgewerkt en bijgevolg dus voor problemen kan zorgen.

    Groet,
    Jeroen

    neen deze plugin heb ik niet staan. Heb al mijn plugins al eens afgezet…
    Het rare is dat dit probleem zich gisteren opeens verscheen (enkel wat nieuwe foto’s opgeladen) en hierna blijkbaar niet op te lossen is.

    ???

    Moderator Jeroen Rotty

    (@jeroenrotty)

    Je hebt die ook niet in je must-use plugins map staan toevallig?

    Daarnaast, kijk eens of je bij je host de PHP versie tijdelijk kunt verlagen om uit te sluiten dat het niet gewoon een incompatibiliteitsprobleem is met PHP 7.2.8 …

    Jeroen

    ik heb geen must use map, dus daar kan hij niet staan denk ik.
    Heb de PHP zonet even verlaagt maar geen oplossing blijkbaar.

    Ik werk met themler als plugin om zelf mijn themes te maken, wanneer ik de pagina open in themler dan zie ik de tekst wel, probleem is wanneer ik de themler plugin uitschakel ik niks kan wijzigen aan de pagina.
    Ga eens vragen bij hun support of hun plugin dit probleem kan veroorzaken.

    Moderator Jeroen Rotty

    (@jeroenrotty)

    Ik ken themler niet, maar zolang het een plugin is en als dat uitgeschakeld is, dan zou je toch gewoon de standaard editor moeten hebben. Het is in ieder geval moeilijk te bepalen waar het probleem kan liggen van hier uit.

    Met default thema en geen enkele plugin geactiveerd zou dat gewoon moeten werken. Indien dan nog niet is er misschien iets foutgelopen bij een core update en kan je eens kijken om core te overschrijven via (s)FTP.

    Groet,
    Jeroen

    Themler uitschakelen, standaard theme en basis editor werken niet.
    Wordpress update vanuit de backend brengt ook geen oplossing, zou het beter zijn de laatste versie van WordPress te downloaden en er via ftp op te zetten of heeft dit geen verschil met de versie die je vanuit de backend kan updaten?

    Moderator Jeroen Rotty

    (@jeroenrotty)

    Als die in-place upgrade via dashboard zonder fouten wordt gedaan, zou dat moeten werken op dezelfde manier als via FTP manueel de core bestanden te overschrijven.

    Ik heb op dit ogenblik en zonder toegang om zaken te controleren geen verdere ideeën… Kijk eventueel eens tot wanneer de foutcode vindbaar is in de logbestanden en wat er daarvoor dan is uitgevoerd. Misschien kun je even met een backup van ervoor kijken of hetzelfde voorkomt? De foutcode die je hierboven aangaf lijkt in eerste instantie van een plugin te komen, maar kan ook rechtstreeks met de ingebouwde tinyMCE editor te maken hebben… Dat is ook gewoon core dus …

    Groet,
    Jeroen

    Kan je hieruit iets maken?

    Wed Aug 01 04:07:18.458047 2018] [ssl:warn] [pid 2249933:tid 139851159943296] AH01909: http://www.atelier-i.be:443:0 server certificate does NOT include an ID which matches the server name

    • Deze reactie is gewijzigd 1 week, 6 dagen geleden door  atelieri.
10 reacties aan het bekijken - 1 tot 10 (van in totaal 10)